import wx

app = wx.App()  # 创建应用
win = wx.Frame(None, title='小楼帅哥哥的文本编辑器', size=(400, 320))  # 创建框架

pan = wx.Panel(win)  # 添加面板
pan.SetBackgroundColour('#666666')  # 设置面板颜色

file_btn = wx.FilePickerCtrl(pan, pos=(5, 5))  # 添加文件选择控件
file_btn.GetPickerCtrl().SetLabel('选择')  # 设置选择控件文本
open_btn = wx.Button(pan, label='打开', pos=(215, 5), size=(80, 30))  # 添加按钮控件
save_btn = wx.Button(pan, label='保存', pos=(300, 5), size=(80, 30))  # 添加按钮控件
cont_ipt = wx.TextCtrl(pan, pos=(5, 40), size=(375, 240), style=wx.TE_MULTILINE | wx.HSCROLL)  # 添加文本控件

hbox = wx.BoxSizer()  # 尺寸器实例化（默认水平）
hbox.Add(file_btn, proportion=1)  # 添加控件到尺寸器
hbox.Add(open_btn, proportion=0, flag=wx.LEFT, border=5)  # 添加控件到尺寸器
hbox.Add(save_btn, proportion=0, flag=wx.LEFT, border=5)  # 添加控件到尺寸器

vbox = wx.BoxSizer(wx.VERTICAL)  # 尺寸器实例化（垂直）
vbox.Add(hbox, proportion=0, flag=wx.EXPAND | wx.ALL, border=5)  # 添加尺寸器到尺寸器
vbox.Add(cont_ipt, proportion=1, flag=wx.EXPAND | wx.LEFT | wx.BOTTOM | wx.RIGHT, border=5)  # 添加控件到尺寸器

def open_file(event):
    file_path = file_btn.GetPath()  # 从文件选择器控件获取文件路径
    with open(file_path) as file:  # 打开文件
        cont_ipt.SetValue(file.read())  # 读取文件内容设置到文本控件的值

def save_file(event):
    file_path = file_btn.GetPath()  # 从文件选择器控件获取文件路径
    with open(file_path, 'w') as file:  # 写入模式打开文件
        file.write(cont_ipt.GetValue())  # 获取文本控件的值写入文件

open_btn.Bind(wx.EVT_BUTTON, open_file)  # 绑定打开文件按钮
save_btn.Bind(wx.EVT_BUTTON, save_file)  # 绑定保存文件按钮

pan.SetSizer(vbox)  # 为窗口设置尺寸器

win.Show()  # 显示框架
app.MainLoop()  # 运行主程序
